# -*- coding: UTF-8 -*-

from common import logger


class InserterError(Exception):
    """
    Ошибка на уровне передачи данных в Inserter
    """
    pass


class _Inserter(object):
    def __init__(self, node):
        self.node = node
        self.log = logger.getUploadLogger("Node", node.id)
        self.objectsCount = 0
        self.transactionId = 0
        self.disableProgressFile = False
        self.source = None

    def start(self):
        return True, u'OK'

    def add_package(self, dictObjects):
        return True
    
    def stop(self):
        return True
            
    def invalidObjectsCount(self):
        return 0

    def rollback(self):
        pass
